Bug 1535173 (CVE-2017-13215) - CVE-2017-13215 kernel: crypto: privilege escalation in skcipher_recvmsg function
Summary: CVE-2017-13215 kernel: crypto: privilege escalation in skcipher_recvmsg function
Status: NEW
Alias: CVE-2017-13215
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180102,repo...
Keywords: Security
Depends On: 1541871 1695821 1541870 1541872 1541873 1541874 1541875
Blocks: 1535176
TreeView+ depends on / blocked
 
Reported: 2018-01-16 18:52 UTC by Laura Pardo
Modified: 2019-04-03 19:01 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the Linux kernel's skcipher component, which affects the skcipher_recvmsg function. Attackers using a specific input can lead to a privilege escalation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2384 None None None 2018-08-14 18:44 UTC
Red Hat Product Errata RHSA-2018:2395 None None None 2018-08-14 20:23 UTC

Description Laura Pardo 2018-01-16 18:52:27 UTC
A flaw was found in the upstream kernel Skcipher component. This vulnerability affects the skcipher_recvmsg function of the component Skcipher. The manipulation with an unknown input leads to a privilege escalation vulnerability

References:
https://source.android.com/security/bulletin/2018-01-01

Patch:
https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?h=v3.18.78&id=36c84b22ac8aa041cbdfbe48a55ebb32e3521704
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=4f0414e54e4d1893c6f08260693f8ef84c929293

Comment 6 Eric Christensen 2018-02-05 15:45:14 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6, and kernel-alt packages.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7, MRG-2 and real-time kernels.

Future Linux kernel updates for the respective releases may address this issue.

Comment 7 errata-xmlrpc 2018-08-14 18:44:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2384 https://access.redhat.com/errata/RHSA-2018:2384

Comment 8 errata-xmlrpc 2018-08-14 20:23:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2395 https://access.redhat.com/errata/RHSA-2018:2395


Note You need to log in before you can comment on or make changes to this bug.